Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.launcher.util
Class ElementEvent<E>

    java.lang.Object
      java.util.EventObject
          java.beans.PropertyChangeEvent
              org.mule.module.launcher.util.ElementEvent<E>

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ElementAddedEvent, ElementRemovedEvent, ElementsClearedEvent, ElementUpdatedEvent, MultiElementAddedEvent, MultiElementRemovedEvent

    public abstract class ElementEvent<E>

extends PropertyChangeEvent

See Also:
  Serialized Form

Field Summary
`static int` | `ADDED`
`static int` | `CLEARED`
`static int` | `MULTI_ADD`
`static int` | `MULTI_REMOVE`
`protected static Object` | `NEWVALUE`
`protected static Object` | `OLDVALUE`
`static int` | `REMOVED`
`static int` | `UPDATED`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ElementEvent(Object source, Object oldValue, Object newValue, int index, int type)`

Method Summary
`int` | `getIndex()`
`int` | `getType()`
`String` | `getTypeAsString()`

Methods inherited from class java.beans.PropertyChangeEvent
`getNewValue, getOldValue, getPropagationId, getPropertyName, setPropagationId`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ADDED

    public static final int ADDED

See Also:
  Constant Field Values

### UPDATED

    public static final int UPDATED

See Also:
  Constant Field Values

### REMOVED

    public static final int REMOVED

See Also:
  Constant Field Values

### CLEARED

    public static final int CLEARED

See Also:
  Constant Field Values

### MULTI_ADD

    public static final int MULTI_ADD

See Also:
  Constant Field Values

### MULTI_REMOVE

    public static final int MULTI_REMOVE

See Also:
  Constant Field Values

### OLDVALUE

    protected static final Object OLDVALUE

### NEWVALUE

    protected static final Object NEWVALUE

Constructor Detail

### ElementEvent

    public ElementEvent(Object source,
                        Object oldValue,
                        Object newValue,
                        int index,
                        int type)

Method Detail

### getIndex

    public int getIndex()

### getType

    public int getType()

### getTypeAsString

    public String getTypeAsString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.